/* -------------------------------------------------------------------------------------------------------------------------
* Project           :C-to-FPGA Solution for Acclerating Tomographic Reconstruction
* File Name         :log.h (from project UW Emission Reconstruction) 
*                    Copyright (c) 2004 University of Washington - Imaging Research Laboratory. All rights reserved.
* Version           :1.0 (V1)
* (V1)Author        :Adam Alessio
* (V1)Created       :Wed, Jan 14 2004
* References        :
* Description       :Header info for log.c
*
******This file may not be distributed or modified without this header*****
*-------------------------------------------------------------------------------------------------------------------------*/


#ifndef LOG_H
#define LOG_H

#define _LongDate 100
#define _Time     101
#define _RealTime 102
#define _Date     103


extern void OpenLog(char *);
extern void CloseLog(void);
extern void Print(char*, ...);
extern void Error(char*, ...);

FILE *LogFile;          /* log file used for printing info throughout execution*/
char LogFileName[127];

#endif
