/* -------------------------------------------------------------------------------------------------------------------------
* Project           :C-to-FPGA Solution for Acclerating Tomographic Reconstruction
* File Name         :allocate.h (from project UW Emission Reconstruction) 
*                    Copyright (c) 2004 University of Washington - Imaging Research Laboratory. All rights reserved.
* Version           :1.0 (V1)
* (V1)Author        :Adam Alessio
* (V1)Created       :Wed, Jan 14 2004
* References        :
* Description       :Header info for allocate.c
*
******This file may not be distributed or modified without this header*****
*-------------------------------------------------------------------------------------------------------------------------*/


#ifndef ALLOCATE_INC
#define ALLOCATE_INC

#include <stdlib.h>

void *get_spc(int num, size_t size);
void *mget_spc(int num, size_t size);
void **get_img(int wd,int ht, size_t size);
void ***get_3D(int N, int M, int A, size_t size);
void free_img(void **pt);
void free_3D(void ***pt);
void *multialloc(size_t s, int d, ...);
void *multiallocSM(size_t s, int d, ...);
void multifree(void *r,int d);


#endif
